# Copyright 2014 Paul Hänsch
#
# This file is part of Confetti.
# 
# Confetti is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# Confetti is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
# 
# You should have received a copy of the GNU Affero General Public License
# along with Confetti.  If not, see <http://www.gnu.org/licenses/>. 

cat <<EOF

.sort {
  display: block;
  border: solid 1px;
  border-radius: 4px 4px 0 0 ;
  margin: .5em 2em .25em 2em;
  padding: .25em 2ex .25em 2ex;
  background: #EFF;
}
.sort .label {
  font-weight: bold;
}

.newcourse {
  display: block;
  border: solid 1px;
  border-radius: 0 0 4px 4px;
  margin: .25em 2em 1em 2em;
  padding: .25em 2ex .25em 2ex;
  background: #EFF;
}

.course {
  display: block;
  position: relative;
  border: solid 1px;
  margin: .25em 2em;
  padding: 0 20ex 0 0;
  overflow: auto;
  background: #FFF;
  min-height: 9em;
}
.course .control {
  display: inline-block;
  position: absolute;
  top 0; right: 0;
  text-align: right;
  background: #EEF;
  margin: 0;
  height: 100%;
  width: 20ex;
  max-width: 33%;
  padding: .25em 1ex;
}
.course .control .item {
  display: inline-block;
  width: 100%;
  color: #008;
  margin: .25em 0 0 0;
  border: 1px solid black;
  background: #FFF;
}
.course .control a.item {
  border-right: 3px double;
  padding: .125em 1ex;
}
.course .control a.item:hover{
  border-right: 1px solid;
}

.course .control .item[name=newfield] { width: 85%;}
.course .control .item[value=addfield] { width: 15%;}

.course .section {
  display: inline-block;
  vertical-align: top;
  float: left;
  width: 20ex;
  min-width: 16.5%;
  min-height: 6em;
  margin: .125em 0 .5ex 0;
  padding: 0 1ex .25em 1ex;
}
.course .section:nth-of-type(2n){ background: #EEE;}

.course .section .item {
  display: block;
  max-width: 100%;
  word-wrap: break-word;
}

.course .section h2, .course .section h3 {
  font-size: 1em;
  display: block;
  font-weight: bold;
  margin: .25em -.5ex .25em -.5ex;
  border-style: none none solid none;
  border-width: 1px;
}
.course .section h2 {
  font-size: 1.2em;
  margin-top: 0;
}

.course .attendance {
  min-width: 66%;
}
.course .attendance a {
  display: inline-block;
  vertical-align: top;
  min-width: 13.5ex;
  width: 19%;
  color: #008;
  border-style: solid;
  border-width: 1px;
  margin: .25em .125ex .25em .125ex;
  padding: .125em 1ex .125em 1ex;
  background: #EFF;
}

.course .dtstart { width: 37ex; }
.course .dtstart .DTSYEAR,
.course .dtstart .DTSMONTH,
.course .dtstart .DTS{
  font-size: .875em;
  margin: .25em .25ex 1em .25ex;
  display: inline-block;
  text-align: center;
  font-weight: bold;
}

.course .dtstart .DTSYEAR{ width: 11.5ex; }
.course .dtstart .DTSMONTH{ width: 18.5ex; }
.course .dtstart .DTS{ width: 5.5ex; }

.course .dtstart .DTSCAL,
.course .dtstart .DTSCALHEAD {
  display: inline-block;
  overflow: hidden;
  text-align: center;
  width: 5ex;
  margin: 0;
}
.course .dtstart .DTSCALHEAD {
  font-weight: bold;
  border-top: 1px solid;
  border-bottom: 1px solid;
}

.course .dtstart input[name=DTSDAY] { display: none; margin: 0; height: 0; width: 0; }
.course .dtstart input[name=DTSDAY]:checked + label.DTSCAL { font-weight: bold; border: solid 1px; }

.course .dtstart .DTSTIME{
  display: inline-block;
  width: 10ex;
  font-weight: bold;
}

.course .recur{ width: 37ex; }
.course .section select,
.course .section button,
.course .section input {
  border: 1px solid;
  margin: .5em 0;
}

.course .select_attendance {
  max-height: 17em;
  overflow-y: scroll;
}
.course .select_attendance label{
  display: block;
  position: relative;
  margin: 0; padding: 0;
  padding-left: 3ex;
}
.course .select_attendance label input{
  position: absolute;
  margin: 0; padding: 0;
  margin-left: -3ex;
  top: 0;
}

.course .section input[type="text"] { width: 100%; }
.course .section textarea.COMMENT { min-height: 6em; width: 100%; overflow: auto; }

EOF

# vi:set filetype=css:
